Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 81)
@@ -140,6 +140,9 @@
         {
             try
             {
+                // 選択部署が複数の者はセットしない
+                if (cmbDepartment.Items.Count > 1) return;
+
                 cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
                 SetcombBoxPerson();
                 cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
@@ -308,25 +311,6 @@
                         DispAllCombBoxControl(false);
                     }
                 }
-
-                // 初期設定対象がコンボボックスデータにあればセットする
-                for (int i = 0; i < cmbDepartment.Items.Count; i++)
-                {
-                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
-                    if (wrkPair.Key == CommonMotions.LoginUserData.DepartmentCode)
-                    {
-                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
-                    }
-                }
-
-                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
-                {
-                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
-                    if (wrkPair.Key == CommonMotions.LoginUserData.PersonCode)
-                    {
-                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
-                    }
-                }
             }
             catch (Exception ex)
             {
@@ -502,9 +486,18 @@
                 string strSQL = string.Empty;
                 int DepartmentCode = GetDepartmentCode();
                 if (DepartmentCode == 0)
-                    strSQL = " WHERE DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                {
+                    strSQL = " WHERE DeleteFlg = 0";
+                    strSQL += string.Format(" AND EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.Regular);
+                    // 参照部署マスタより取得する
+                    strSQL += " AND DEPARTMENTCODE IN (SELECT AA.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER AA";
+                    strSQL += string.Format(" WHERE AA.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    strSQL += " Order By EmployeeClassFlg ASC, DisplayOrder ASC";
+                }
                 else
+                {
                     strSQL = string.Format(" WHERE DEPARTMENTCODE = {0} AND DeleteFlg = 0 Order By EmployeeClassFlg ASC, DisplayOrder ASC", DepartmentCode);
+                }
 
                 // 担当者マスタ読込
                 if (!picDB.SelectAction(strSQL, ref workList)) return;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/ApprovalRoute/FrmApprovalRoute.cs	(revision 81)
@@ -545,9 +545,6 @@
             IOMDepartment dmDB = new IOMDepartment();               // 部署マスタ
             try
             {
-                int AddRowCnt1 = CommonDefine.s_MaxInitLineCountMastamente - dgvGridData.Rows.Count;
-                if (AddRowCnt1 != 0) dgvGridData.Rows.Add(AddRowCnt1);
-
                 // グリッドの行を0に戻す
                 dgvMaster.Rows.Clear();
 
@@ -575,12 +572,6 @@
                                         , objwrk[3]
                                         );
                 }
-                // 表示行が足りない場合は追加する
-                if (dgvMaster.Rows.Count <= CommonDefine.s_MaxInitLineCountMastamente)
-                {
-                    int AddRowCnt = CommonDefine.s_MaxInitLineCountMastamente - dgvMaster.Rows.Count;
-                    if (AddRowCnt != 0) dgvMaster.Rows.Add(AddRowCnt);
-                }
 
                 // 行を選択しない
                 dgvGridData.ClearSelection();
@@ -596,6 +587,9 @@
             {
                 perDB.close(); perDB = null;
                 dmDB.close(); dmDB = null;
+
+                int AddRowCnt1 = CommonDefine.s_MaxInitLineCountMastamente - dgvGridData.Rows.Count;
+                if (AddRowCnt1 > 0) dgvGridData.Rows.Add(AddRowCnt1);
             }
         }
         #endregion
